#include "DBDDropDownListWidget.h"
#include "DropDownViewData.h"
#include "Input/Events.h"
#include "Components/SlateWrapperTypes.h"

class UCoreKeyListenerInputPromptWidget;
class UCoreButtonWidget;
class UCoreSelectableButtonWidget;

void UDBDDropDownListWidget::UpdateDropDown()
{

}

void UDBDDropDownListWidget::UnbindFromTrigger()
{

}

void UDBDDropDownListWidget::SetScrollInputPrompt(UCoreKeyListenerInputPromptWidget* scrollInputPrompt)
{

}

void UDBDDropDownListWidget::SetPaddingForScrollbar(const bool isScrollbarVisible)
{

}

void UDBDDropDownListWidget::SetData(const TArray<FDropDownViewData>& data)
{

}

void UDBDDropDownListWidget::OnUserClicked(const FPointerEvent& mouseEvent)
{

}

void UDBDDropDownListWidget::OnTriggerClicked(UCoreButtonWidget* buttonTarget)
{

}

void UDBDDropDownListWidget::OnScrollbarVisibilityChanged(ESlateVisibility scrollbarVisibility)
{

}

void UDBDDropDownListWidget::OnOptionSelected(UCoreSelectableButtonWidget* selectedButton)
{

}

void UDBDDropDownListWidget::HideDropDownList()
{

}

void UDBDDropDownListWidget::BindToTrigger(UCoreButtonWidget* triggerButton)
{

}

UDBDDropDownListWidget::UDBDDropDownListWidget()
{
	this->Alignment = ETextJustify::Left;
}
